function [snsisters mnsisters]=f_sisters(N,M,K,T,iceberg,costs)







[path Vpath]=procedure(costs,T,iceberg);

for m=1:M-1

% Extract and convert allocation choices
path0=zeros(N^(M-m),1);
path0(:)=cell2mat(path(m));
path1=reshape(path0(:),N,[]);

% Numbers in each column of path1 are locations of sister nodes. Let's
% compute the number of coinciding nodes

% Here for each set of sister nodes we permute the allocation vector in
% another dimension and then transpose this matrix. The difference between
% the original and transposed matrixes (for a given node) will be a matrix
% elmdiff0 with a nice property: it has zero elements either on a diagonal
% or when two different nodes are produced in the same location
reppath1=repmat(path1,1,1,N);
reppath2=permute(reppath1,[3 2 1]);
elmdiff0=reppath1-reppath2;

% Compute the number of zero elements in elmdiff0 and get rid of N diagonal
% elements that are always equal to zero
elmdiff1=reshape(permute(elmdiff0,[1 3 2]),N^2,N^(M-m-1));
nsisters=sum(elmdiff1==0)-N;
mnsisters(m)=transpose(mean(nsisters));
snsisters=transpose(mnsisters./(N*(N-1)));
end
