function [B]=f_reshoring(A)

N=size(A,2);
M=size(A,1);

A_m=repmat(A,1,1,N);
A_m=permute(A_m,[2 3 1]);
A_d=A_m-permute(A_m,[2 1 3]);
updiag=triu(ones(N,N));
updiag_m=repmat(updiag,1,1,M);
A_diag=A_d.*updiag_m;
A_diag=abs(A_diag);
A_ind=min(A_diag,1);
A_diff=diff(A_ind,1);

B=zeros(M,1);
for i=1:M
[a b c]=find(A_diff(:,:,i)>0);
B(i) = 1-isempty(c);
end
end