function [tvolumea]=f_elasticity_N1(costs,T,iceberg)

M=size(costs,1);
K=size(cell2mat(costs(M)),2);
N=size(cell2mat(costs(2)),1);

T0=T;
[patha Vpatha]=procedure_N1(costs,T0,iceberg);

patha=flip(patha);
Vpatha=flip(Vpatha);



path00a=[];
path00b=[];
Vpath00a=[];
Vpath00b=[];
for m=1:M-1

path0a=zeros(N^(M-m),1);
path0a=cell2mat(patha(m));


Vpath0a=zeros(N^(M-m),1);
Vpath0a=cell2mat(Vpatha(m));



% Stack up
PATHa=[path00a; path0a];
path01a=multiplier(PATHa,N);
path00a=path01a;


VPATHa=[Vpath00a; Vpath0a];
Vpath01a=multiplier(VPATHa,N);
Vpath00a=Vpath01a;

end

path00a=[path00a; cell2mat(patha(M))];
path00a=flip(path00a,1);



Vpath00a=[Vpath00a; cell2mat(Vpatha(M))];
Vpath00a=flip(Vpath00a,1);



% Now to calculating trade volumes



differencea=diff(path00a,1);
samea=zeros(M-1,N^(M-1));
samea(differencea==0)=1;
diffa=1-samea;

aff_Vpatha=Vpath00a(1:M-1,:);
volumea=aff_Vpatha.*diffa.*(1+T0*iceberg)+diffa.*T0.*(1-iceberg);
tvolumea=sum(volumea,2);

end