clear
% Number of simulations
S=1000;

% Longest chain considered
M2=12;

Mstatics=zeros(M2-1,2,S);
for s=1:S
for i=2:M2
% Order
N=2;
% Length
M=i;
% Number of countries
K=2;
% Iceberg trade costs indicator
iceberg=0;
% Trade costs
T=0.2;

Mstatics(i-1,:,s)=f_Cstatics(N,M,K,T,iceberg);
end
s
end


Mstatics1=squeeze(mean(Mstatics,3));
Mstatics2=squeeze(median(Mstatics,3));
Mstatics_ratio1=Mstatics1(:,1)./Mstatics1(:,2);
Mstatics_ratio2=Mstatics2(:,1)./Mstatics2(:,2);
XM=[1:M2-1];

% Highest order of a tree considered
N2=9;

Nstatics=zeros(N2-1,2,S);
for s=1:S
for i=2:N2
N=i;
M=5;
K=2;
iceberg=0;
T=0.2;

Nstatics(i-1,:,s)=f_Cstatics(N,M,K,T,iceberg);
end
s
end


Nstatics1=squeeze(mean(Nstatics,3));
Nstatics2=squeeze(median(Nstatics,3));
Nstatics_ratio1=Nstatics1(:,1)./Nstatics1(:,2);
Nstatics_ratio2=Nstatics2(:,1)./Nstatics2(:,2);
XN=[1:N2-1];



% Largest number of countries considered
K2=100;

Kstatics=zeros(K2-1,2,S);
for s=1:S
for i=2:K2
N=2;
M=5;
K=i;
iceberg=0;
T=0.2;

Kstatics(i-1,:,s)=f_Cstatics(N,M,K,T,iceberg);
end
s
end


Kstatics1=squeeze(mean(Kstatics,3));
Kstatics2=squeeze(median(Kstatics,3));
Kstatics_ratio1=Kstatics1(:,1)./Kstatics1(:,2);
Kstatics_ratio2=Kstatics2(:,1)./Kstatics2(:,2);
XK=[1:K2-1];


hold on
h=figure;
set(gcf, 'Position', get(0, 'Screensize'));
subplot(2,2,1)
plot(XN',Nstatics_ratio2,'LineWidth',2)
title('Tree Order')
xlabel('Tree order')
ylabel('Computational time ratio')

subplot(2,2,2)
plot(XM',Mstatics_ratio2,'LineWidth',2)
title('Tree Length')
xlabel('Tree length')
ylabel('Computational time ratio')

subplot(2,2,3)
plot(XK',Kstatics_ratio2,'LineWidth',2)
title('Number of Countries')
xlabel('Number of countries')
ylabel('Computational time ratio')

%set(h,'Units','Inches');
%pos = get(h,'Position');
%set(h,'PaperPositionMode','Auto','PaperUnits','Inches','PaperSize',[pos(3), pos(4)])
%print(h,'C:\Users\vtya5450\Dropbox (Sydney Uni)\AEJ_Revision\Figures\Figure 5','-dpdf','-r0')

hold off