function [time]=f_Cstatics(N,M,K,T,iceberg)


shape=4.12;



Nt=(N^M-1)/(N-1);
Nx=Nt-1;

costs=zeros(Nt,K);

cx=rand(Nt,K);
cx=1./((-log(cx)).^(-1/shape));
costs=cx;

A=f_adjacency_direction(N,M);

y=zeros(K,1);
x=zeros(K,K,Nx);

cfirststage=y'.*costs(1,:);
trade=repmat((1-eye(K)),1,1,Nx).*T;
costs3d=repmat(costs(2:Nt,:),1,1,K);
costs3d=permute(costs3d,[2 3 1]);

tcosts=x.*trade.*costs3d;

x2=permute(x,[2 1 3]);
costs3d2=permute(costs3d,[2 1 3]);
trade2=permute(trade,[2 1 3]);

Xx=reshape(reshape(x2,Nx*K,K,1),Nx*K^2,1);
COSTSx=reshape(reshape(costs3d2,Nx*K,K,1),Nx*K^2,1);
TRADEx=reshape(reshape(trade2,Nx*K,K,1),Nx*K^2,1);

COSTSy=transpose(costs(1,:));
TRADEy=zeros(K,1);
COSTS=[COSTSy;COSTSx];
TRADE=[TRADEy;TRADEx];
OBJ=TRADE+COSTS;


CONSTRAINTS_small=zeros(K*N+1,K+N*K^2);
CONSTRAINTS_big=zeros((Nx-N)*K,Nx*K^2);

CONSTRAINTS_small(1,[1:K])=1;
temp1=repmat(eye(K).*(-1),N,1);
CONSTRAINTS_small([2:K*N+1],[1:K])=temp1;
temp2=repmat(eye(K),1,K);
temp3=kron(eye(N),temp2);
CONSTRAINTS_small([2:K*N+1],[K+1:K+N*K^2])=temp3;


temp4=repmat(eye(K),1,K);
temp5=kron(eye(Nx),temp4);
temp5(1:N*K,:)=[];

LHS=temp5;


hones=ones(1,K);
RHS00=kron(eye(K),hones);
RHS0=repmat(RHS00,Nx-N,Nx);

A0=A;
A0([1:N+1],:)=[];
A0(:,1)=[];
Arep=repelem(A0,K,K^2);
RHS=Arep.*RHS0.*(-1);

CONSTRAINTS_big=RHS+LHS;




CONSTRAINTS=zeros(1+Nx*K,K+Nx*K^2);

CONSTRAINTS([1+K*N+1:1+Nx*K],[K+1:K+Nx*K^2])=CONSTRAINTS_big;
CONSTRAINTS([1:1+K*N],[1:K+N*K^2])=CONSTRAINTS_small;

B=zeros(K*(N^M-1)/(N-1)-K+1,1);
B(1)=1;


lb=zeros(Nx*K^2+K,1);
ub=ones(Nx*K^2+K,1);
intcon=[1:Nx*K^2+K];

tic
options = optimoptions('intlinprog','Display','off');
x = intlinprog(OBJ,intcon,[],[],CONSTRAINTS,B,lb,ub,[],options);
LP_time=toc;



costs=cell(M,1);

for i=1:M
    x=rand(N^(i-1),K);
    costs{i}=x;
end




tic
[path Vpath]=procedure(costs,T,iceberg);
DP_time=toc;

time= [LP_time DP_time];
end